Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001584Frama-CPlug-in > Evapublic2013-12-09 17:292014-03-13 15:57
Reporteryakobowski 
Assigned Topascal 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001584: Assertion failure in Ival.scale_div
Description(Csmith-found program, reduced by creduce)

To be analyzed with -slevel 4.

Interesting part of the backtrace:
         Called from file "src/ai/ival.ml", line 1011, characters 3-123
         Called from file "src/ai/ival.ml", line 1166, characters 2-35
         Called from file "src/ai/ival.ml", line 2370, characters 20-48
TagsNo tags attached.
Attached Files? file icon small3.i [^] (226 bytes) 2013-12-09 17:30 [Show Content]

- Relationships

-  Notes
(0004545)
pascal (reporter)
2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-12-09 17:29 yakobowski New Issue
2013-12-09 17:29 yakobowski Status new => assigned
2013-12-09 17:29 yakobowski Assigned To => pascal
2013-12-09 17:30 yakobowski File Added: small3.i
2013-12-09 20:55 svn Checkin
2013-12-09 20:55 svn Status assigned => resolved
2013-12-09 20:55 svn Resolution open => fixed
2014-02-12 16:57 pascal Note Added: 0004545
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker